EvaluateEntitlementSelection
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.EvaluateEntitlementSelection(ctx, operations.C1APIRoleMiningManagementV1RoleMiningManagementServiceEvaluateEntitlementSelectionRequest{
AnalysisID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.EvaluateEntitlementSelectionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.evaluateEntitlementSelection({
analysisId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"explicitlyExcluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"explicitlyIncluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"includeFacets": true,
"minimumCoverageBasisPoints": 123
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection"
payload = {
"explicitlyExcluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"explicitlyIncluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"includeFacets": True,
"minimumCoverageBasisPoints": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
explicitlyExcluded: [{appId: '<string>', entitlementId: '<string>'}],
explicitlyIncluded: [{appId: '<string>', entitlementId: '<string>'}],
includeFacets: true,
minimumCoverageBasisPoints: 123
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'explicitlyExcluded' => [
[
'appId' => '<string>',
'entitlementId' => '<string>'
]
],
'explicitlyIncluded' => [
[
'appId' => '<string>',
'entitlementId' => '<string>'
]
],
'includeFacets' => true,
'minimumCoverageBasisPoints' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"explicitlyExcluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"explicitlyIncluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"includeFacets\": true,\n \"minimumCoverageBasisPoints\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"explicitlyExcluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"explicitlyIncluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"includeFacets\": true,\n \"minimumCoverageBasisPoints\": 123\n}"
response = http.request(request)
puts response.read_body{
"coreHolderFacets": [
{
"attribute": "<string>",
"displayName": "<string>",
"values": [
{
"displayName": "<string>",
"userCount": 123,
"value": "<string>"
}
],
"valuesTruncated": true,
"valuesUnavailable": true
}
],
"selectedEntitlementCount": 123,
"usersWithAllEntitlements": 123
}Role Mining
Evaluate Entitlement Selection
Evaluate the exact cohort impact of an entitlement cutoff and manual overrides. The analysis determines the eligible entitlements and cohort definition.
POST
/
api
/
v1
/
role-mining
/
custom-analysis
/
{analysis_id}
/
evaluate-entitlement-selection
EvaluateEntitlementSelection
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.EvaluateEntitlementSelection(ctx, operations.C1APIRoleMiningManagementV1RoleMiningManagementServiceEvaluateEntitlementSelectionRequest{
AnalysisID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.EvaluateEntitlementSelectionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.evaluateEntitlementSelection({
analysisId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"explicitlyExcluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"explicitlyIncluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"includeFacets": true,
"minimumCoverageBasisPoints": 123
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection"
payload = {
"explicitlyExcluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"explicitlyIncluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"includeFacets": True,
"minimumCoverageBasisPoints": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
explicitlyExcluded: [{appId: '<string>', entitlementId: '<string>'}],
explicitlyIncluded: [{appId: '<string>', entitlementId: '<string>'}],
includeFacets: true,
minimumCoverageBasisPoints: 123
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'explicitlyExcluded' => [
[
'appId' => '<string>',
'entitlementId' => '<string>'
]
],
'explicitlyIncluded' => [
[
'appId' => '<string>',
'entitlementId' => '<string>'
]
],
'includeFacets' => true,
'minimumCoverageBasisPoints' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"explicitlyExcluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"explicitlyIncluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"includeFacets\": true,\n \"minimumCoverageBasisPoints\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{analysis_id}/evaluate-entitlement-selection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"explicitlyExcluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"explicitlyIncluded\": [\n {\n \"appId\": \"<string>\",\n \"entitlementId\": \"<string>\"\n }\n ],\n \"includeFacets\": true,\n \"minimumCoverageBasisPoints\": 123\n}"
response = http.request(request)
puts response.read_body{
"coreHolderFacets": [
{
"attribute": "<string>",
"displayName": "<string>",
"values": [
{
"displayName": "<string>",
"userCount": 123,
"value": "<string>"
}
],
"valuesTruncated": true,
"valuesUnavailable": true
}
],
"selectedEntitlementCount": 123,
"usersWithAllEntitlements": 123
}Authorizations
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Body
application/json
EvaluateEntitlementSelectionRequest selects analyzed entitlements using an inclusive coverage cutoff plus optional manual overrides.
Response
200 - application/json
EvaluateEntitlementSelectionResponse contains the exact impact of the resolved entitlement selection.
EvaluateEntitlementSelectionResponse contains the exact impact of the resolved entitlement selection.
Was this page helpful?